# frozen_string_literal: true

require_relative 'lib/bubble_sort/version'

Gem::Specification.new do |spec|
  spec.name          = 'bubble_sort'
  spec.version       = BubbleSort::VERSION
  spec.authors       = ['İsmail Arılık']
  spec.email         = ['arilik.ismail@gmail.com']

  spec.summary       = 'A bubble sort implementation written with Ruby'
  spec.homepage      = 'https://github.com/bubble-sort/bubble-sort'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.7.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/bubble-sort/bubble-sort'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
end
